#
# spec file for package gap-gauss
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gap-gauss
Version:        2023.02.04
%define sillyver 2023.02-04
Release:        1.2
Summary:        GAP: Extended Gauss Functionality for GAP
License:        GPL-2.0-or-later
Group:          Productivity/Scientific/Math
URL:            https://homalg-project.github.io/pkg/Gauss
#Git-Clone:	https://github.com/homalg-project/homalg_project
#Git-Web:	https://github.com/homalg-project/Gauss
Source:         https://github.com/homalg-project/homalg_project/releases/download/Gauss-%sillyver/Gauss-%sillyver.tar.gz
BuildRequires:  gap-devel >= 4.11
BuildRequires:  gap-rpm-devel
BuildRequires:  gmp-devel
Requires:       gap-core >= 4.11.1
Suggests:       gap-gapdoc >= 1.0

%description
The GAP Gauss package provides algorithms to compute reduced row
echelon forms (RREF) of a matrix.

%prep
%autosetup -n Gauss-%sillyver

%build
./configure "%gapdir"
%make_build
rm -v doc/clean
find . -type f -name ".*" -print -delete

%install
%gappkg_simple_install
rm -Rf "%buildroot/$moddir/src"

%files -f %name.files

%changelog
* Sat Mar 23 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 2023.02.04
  * No changelog was provided
* Sat Feb 11 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 2022.11.01
  * No changelog was provided
* Sat Nov 19 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 2022.10.01
  * No changelog was provided
* Wed Nov 14 2018 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 2018.09.08
  * No changelog available
* Sat Dec 23 2017 jengelh@inai.de
- Update to new upstream release 2017.12.07
  * No changelog available
* Fri Sep  8 2017 jengelh@inai.de
- Update to new upstream release 2017.06.14
  * No changelog was provided again
* Tue Dec  8 2015 jengelh@inai.de
- Update to new upstream release 2015.11.06
  * No upstream changelog was provided
* Wed Feb  5 2014 jengelh@inai.de
- Update to new upstream release 2013.06.26
  * No changelog was provided
* Fri May 10 2013 jengelh@inai.de
- Split gauss (version 2013.03.07) off the gap RPM package
